org.codehaus.plexus.logging

## Class AbstractLogger

- java.lang.Object
- - org.codehaus.plexus.logging.AbstractLogger

All Implemented Interfaces:
  Logger

Direct Known Subclasses:
  ConsoleLogger

    public abstract class AbstractLogger
    extends Object
    implements Logger

Version:
  $Id: AbstractLogger.java 1748 2005-04-19 06:07:53Z brett $
Author:
  Trygve Laugstøl

### Field Summary

### Fields inherited from interface org.codehaus.plexus.logging.Logger

`LEVEL_DEBUG, LEVEL_DISABLED, LEVEL_ERROR, LEVEL_FATAL, LEVEL_INFO, LEVEL_WARN`

### Constructor Summary

Constructors
Constructor and Description
`AbstractLogger(int threshold, String name)`

### Method Summary

Methods
`void` `debug(String message)`
`void` `error(String message)`
`void` `fatalError(String message)`
`String` `getName()`
`int` `getThreshold()`
`void` `info(String message)`
`boolean` `isDebugEnabled()`
`boolean` `isErrorEnabled()`
`boolean` `isFatalErrorEnabled()`
`boolean` `isInfoEnabled()`
`protected boolean` `isValidThreshold(int threshold)`
`boolean` `isWarnEnabled()`
`void` `setThreshold(int threshold)`
`void` `warn(String message)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.codehaus.plexus.logging.Logger

`debug, error, fatalError, getChildLogger, info, warn`

### Constructor Detail

#### AbstractLogger

    public AbstractLogger(int threshold,
                  String name)

### Method Detail

#### getThreshold

    public int getThreshold()

Specified by:
  `getThreshold` in interface `Logger`

#### setThreshold

    public void setThreshold(int threshold)

#### getName

    public String getName()

Specified by:
  `getName` in interface `Logger`

#### debug

    public void debug(String message)

Specified by:
  `debug` in interface `Logger`

#### isDebugEnabled

    public boolean isDebugEnabled()

Specified by:
  `isDebugEnabled` in interface `Logger`

#### info

    public void info(String message)

Specified by:
  `info` in interface `Logger`

#### isInfoEnabled

    public boolean isInfoEnabled()

Specified by:
  `isInfoEnabled` in interface `Logger`

#### warn

    public void warn(String message)

Specified by:
  `warn` in interface `Logger`

#### isWarnEnabled

    public boolean isWarnEnabled()

Specified by:
  `isWarnEnabled` in interface `Logger`

#### error

    public void error(String message)

Specified by:
  `error` in interface `Logger`

#### isErrorEnabled

    public boolean isErrorEnabled()

Specified by:
  `isErrorEnabled` in interface `Logger`

#### fatalError

    public void fatalError(String message)

Specified by:
  `fatalError` in interface `Logger`

#### isFatalErrorEnabled

    public boolean isFatalErrorEnabled()

Specified by:
  `isFatalErrorEnabled` in interface `Logger`

#### isValidThreshold

    protected boolean isValidThreshold(int threshold)